
// 游戏类型枚举
export enum GameType {
    TURTLE_SOUP = 'TURTLE_SOUP',
    WORD_GAME = 'WORD_GAME'
}

// 游戏数据接口
export interface Game {
    gameId: string; // 游戏ID
    type: GameType; // 游戏类型
    title: string; // 游戏标题
    image: string; // 游戏图片
    minPlayers: number; // 最小玩家人数
    maxPlayers: number; // 最大玩家人数
    duration: string; // 游戏时长
    rating: number; // 游戏评分
    isNew: boolean; // 是否为新游戏
    isHot: boolean; // 是否为热门游戏
    description: string; // 游戏描述
    rules: string; // 游戏规则
    category: string; // 游戏分类
    tips: string[]; // 游戏提示
    playCount: number; // 游戏参与人数
    completionRate: number; // 游戏完成率
    examples: {
      question: string; // 游戏示例问题
      answer: string; // 游戏示例答案 
    }[];
  }