// types/result.ts
// 通用返回类型定义
export interface Result<T> {
  success: boolean;
  data?: T;
  message?: string;
  code?: number;
}

export function createSuccess<T>(data: T, message?: string): Result<T> {
  return { success: true, data, message };
}

export function createError<T = never>(message: string, code?: number): Result<T> {
  return { success: false, message, code };
}